Factunexo Docs
API RESTReferenciaBillingLiquidaciones de Compra

Listar liquidaciones de compra

GET
/api/v1/billing/purchase-settlements

Authorization

X-API-Secret<token>

API Secret para autenticación. Debe enviarse junto con X-API-Key.

In: header

Query Parameters

pageable*
search*

Response Body

application/json

curl -X GET "https://example.com/api/v1/billing/purchase-settlements?page=0&size=1&sort=string&receiptDirection=INBOUND&receiptStatus=SAVED&datePeriod=THIS_MONTH&startDate=2019-08-24&endDate=2019-08-24&search=string&sortBy=string&sortDirection=ASC"
{  "requestId": "string",  "timestamp": "string",  "data": {    "content": [      {        "purchaseSettlementId": "f9ba65b1-288a-4d49-9055-805148bfa601",        "receiptId": "4937ce52-e283-4321-b00f-c29b6dd5d0e9",        "sequential": "string",        "authorizationNumber": "string",        "emissionDate": "2019-08-24",        "status": "SAVED",        "providerTaxpayerName": "string",        "providerIdentification": "string",        "totalWithoutTaxes": 0,        "totalDiscount": 0,        "total": 0      }    ],    "page": 0,    "size": 0,    "totalElements": 0,    "totalPages": 0,    "last": true  }}